proxies:
- name: "wg-out"
  type: wireguard
  server: engage.cloudflareclient.com
  port: 2408
  dialer-proxy: Hamrah-Aval
  ip: 172.16.0.2
  ipv6: 2606:4700:110:8cc1:f7ad:4a68:9eee:44c3
  public-key: bmXOC+F1FxEMF9dyiK2H5/1SUtzH0JuVo51h2wPfgyo=
  private-key: OC/Bzc0YB5rM8oegL9N/BmL0h/XMyBhWARBIQ0XVg0A=
  udp: true

- name: "Hamrah-Aval"
  type: vless
  server: de3.firefly-service.com
  port: 4430
  dialer-proxy: hy2-out
  uuid: base64password
  udp: true
  packet-encoding: xudp
  tls: false
  network: grpc
  grpc-opts:
    grpc-service-name: graphql

- name: "hy2-out"
  type: hysteria2
  server: de3.firefly-service.com
  port: 2083
  password: HivaService
  obfs: salamander
  obfs-password: NoFirewall
  sni: www.tradingview.com
  skip-cert-verify: true
  alpn:
    - h3

proxy-groups:
- name: PROXY
  type: select
  proxies:
    - wg-out

rules:
- MATCH,PROXY
- GEOIP,ir,DIRECT
- GEOIP,private,DIRECT
- IP-CIDR,224.0.0.0/3,REJECT
- IP-CIDR6,ff00::/8,REJECT

dns:
  enable: true
  default-nameserver:
    - 8.8.8.8
    - 1.1.1.1
  nameserver:
    - 8.8.8.8
    - 1.1.1.1